Ubuntu 6.06 LTS : gnutls12 vulnerability (USN-948-1)

Ubuntu Security Notice (C) 2010-2013 Canonical, Inc. / NASL script (C) 2010-2013 Tenable Network Security, Inc.

Synopsis :

The remote Ubuntu host is missing one or more security-related patches.

Description :

It was discovered that GnuTLS did not always properly verify the hash
algorithm of X.509 certificates. If an application linked against
GnuTLS processed a crafted certificate, an attacker could make GnuTLS
dereference a NULL pointer and cause a DoS via application crash.

Solution :

Update the affected packages.

Risk factor :

Medium / CVSS Base Score : 5.0

Family: Ubuntu Local Security Checks

Nessus Plugin ID: 46812 ()

Bugtraq ID:

CVE ID: CVE-2006-7239